javax.ejb

## Class AccessLocalException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.ejb.EJBException
        - - javax.ejb.AccessLocalException

- All Implemented Interfaces:
    Serializable

      public class AccessLocalException
      extends EJBException

  An AccessLocalException is thrown to indicate that the caller does not have permission to call the method. This exception is thrown to local clients.
  Since:
    EJB 2.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AccessLocalException()` Constructs an AccessLocalException with no detail message.
    `AccessLocalException(String message)` Constructs an AccessLocalException with the specified detail message.
    `AccessLocalException(String message, Exception ex)` Constructs an AccessLocalException with the specified detail message and a nested exception.

  - ### Method Summary

    - ### Methods inherited from class javax.ejb.EJBException

      `getCausedByException`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AccessLocalException

          public AccessLocalException()

      Constructs an AccessLocalException with no detail message.

    - #### AccessLocalException

          public AccessLocalException(String message)

      Constructs an AccessLocalException with the specified detail message.

    - #### AccessLocalException

          public AccessLocalException(String message,
                              Exception ex)

      Constructs an AccessLocalException with the specified detail message and a nested exception.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.